Bug 235303 - deskutils/kdeconnect-kde file browsing with sshfs not working
Summary: deskutils/kdeconnect-kde file browsing with sshfs not working
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-29 18:14 UTC by Stefan Rumetshofer
Modified: 2019-02-10 21:06 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch for deskutils/kdeconnect-kde (2.02 KB, patch)
2019-01-29 18:14 UTC, Stefan Rumetshofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Rumetshofer 2019-01-29 18:14:35 UTC
Created attachment 201512 [details]
Patch for deskutils/kdeconnect-kde

In kdeconnect-kde file browsing is realized with sshfs, but this seems not possible in FreeBSD because the command line option -o password_stdin from sshfs does not work. So i tried using sshfs with the program security/sshpass an this works for me but probably using  sshpass in this way is a security risk.
I have created and attached a patch for the port. Please have a look at it.
Comment 1 Tobias C. Berner freebsd_committer 2019-01-29 20:22:43 UTC
Hi there

Good catch. I think this needs to be discussed with upstream -- maybe as to not be relying on passwords but keys.


mfg Tobias
Comment 2 Stefan Rumetshofer 2019-02-01 16:34:32 UTC
Yes, this should be discussed, but also it is interesting why the option from the sshfs command is not working on FreeBSD. And until we have a better solution we could go with this workaround.
Comment 3 Tobias C. Berner freebsd_committer 2019-02-10 21:06:39 UTC
Committed in 
https://svnweb.freebsd.org/ports?view=revision&revision=492644

Thanks :)